Page 1

BATTLE FOR I-57

LET THE GAMES BEGIN

The Eastern baseball team takes on Illinois-Urbana Champaign Tuesday in Mattoon.

After the first day of tugs, find out who advanced to the next round on Wednesday.

Page 8

Page 3

Dai ly Eastern News

THE

W W W . D A I L Y E A S TE R N N E W S . C O M

Tuesday, April 8, 2014

Man charged in connection with murder By Dominic Renzetti & Katie Smith Editor-in-Chief & Photo Editor A Charleston man was charged with first-degree murder Monday, following an alleged shooting on the city’s north side. Larry A. Steeples, 52, who’s recorded address is 207 Jackson Ave., Charleston, is charged in the death of Gina L. Giberson. Giberson’s listed address is 207 E. Vine St., Charleston, which is where investigators were seen Monday morning. St e e p l e s b o n d w a s s e t a t $500,000. Giberson was pronounced dead at 7:59 a.m. and an autopsy, which occurred at 1:30 p.m. declared multiple gunshot wounds as the cause of death. According to a press release made public by the Charleston Police Department as well as confirmation from Michael Bennett, the chief deputy coroner for Coles County, Steeples has been arrested and charged with first-degree murder in the connection with the death of Giberson. Steeples pleaded guilty Feb. 18 to a misdemeanor charge of domestic battery and was sentenced to two years conditional discharge. In that plea agreement, a Class 4 felony charge of unlawful restraint and a Class A misdemeanor charge of domestic battery were dismissed. St e e p l e s w a s t o a p p e a r i n Coles County Circuit Court Tuesday morning in connection with an emergency order of protection granted March 18. He is also scheduled to appear in court April 28 in connection with a Class 4 felony charge of

VOL. 98 | NO. 132

“TELL THE TRUTH AND DON’T BE AFRAID”

Second ‘Barn Party’ suspect plead guilty By Bob Galuski Managing Editor | @BobGaluski

K atie Smith | The Daily Eastern Ne ws

ABOVE: Gina Giberson's home at 207 E. Vine Ave. is taped off after she after the 47-year-old female suffered mutiple gunshot wounds Monday morning. According to a press release from the Charleston Police Department, 52-year-old Larry Steeple has been arrested and charged with firstdegree murder in connection with Giberson's death. BOTTOM LEFT: Police tape marks the boundaries of gubnshot fatality victim, Gina Giberson, after her death Monday morning.

domestic battery. The information filed in court alleged that he struck Giberson in the face on or about March 16. Steeples was recently involved in an incident at Lefty’s Holler, 727 Seventh St., on March 30, where he was taken by Charleston ambulance to Sarah Bush

Lincoln Health Center after receiving a knife wound to the neck. No one was arrested at the time, but Lee H. Conover, 57, of Ashmore was later charged with aggravated battery. In Nov. 2013, Giberson and Steeples were involved in an argument on 10th Street, where

Giberson reversed her truck and backed into Steeples, causing him to fall to the ground. He refused medical treatment. Dominic Renzetti and Katie Smith can be reached at 581-2812 or dennewsdesk@ gmail.com

The second suspect in connection with September’s “Barn Party” shooting plead guilty Monday to charges of resisting a police officer and driving with a revoked license. Marquis Green, 24, of Park Forest, Ill., is the second suspect in connection with the “Barn Party” shooting. During the shooting, two people suffered non-fatal gunshot wounds. Green received a combined fine of $1,500 as well as two years conditional discharge for resisting a police officer. The conditional discharge has fewer restrictions than probation. Kajaun Wright, the other suspect, also accused of resisting a police officer, plead guilty in November, where he was given one year of conditional discharge. The “Barn Party” shooting occurred in September during a party at a warehouse at 634 W. State Street in Charleston. The party ended after gunshots were heard and the police responded. The party had an upward number of more than 1,000 attendees. Phi Beta Sigma fraternity hosted the “Barn Party,” and in the wake of the shooting were suspended as a fraternity. The policies for late-night parties at university buildings were also modified. Now attendees need to purchase tickets in advance, rather than at the door. The attendees for the “Barn Party” met at the parking lot of Ruler Foods in the West Park Plaza on the night of Sept. 14. There, busses took them to the warehouse on State Street. Wright and Green are the only two suspects in connection with the shooting. Neither were Eastern students at the time of the incident. Bob Galuski can be reached at 581-2812 or dennewsdesk@gmail.com.

Tree to be planted in student’s honor By Alex Seidler Staff Reporter | @DEN_News Former student government enhancement committee chairman Nick Allen will have a tree planted in his honor on April 25 at 2 p.m. behind Old Main. The tree was donated and currently the marker is expected to cost around $75. Nick Allen recommended a tree be planted every year as a tradition of the student government. The committee just brought this idea into discussion and now the decision has been made to go through with it. Yazmin Rodriguez, sophomore sociology major, currently holds the

university enhancement committee as co-chair along with Bianca Tomlin. Rodriguez said Allen was very close to the members in student government. “We were very great friends with him as well as many others in Student Government so we decided to incorporate it with Earth week,” she said. Rodriguez added that Allen tried to get the tree planted, but struggled with funding and contacting departments around campus. Rodriguez also said their main struggle was funding as well but they managed to obtain a tree in a cheaper way. The tree was donated by the Ground Crew, which saved the stu-

“A tree is a legacy that you leave your mark on. The student government works to make that happen.” Greg Schoonover, former senate committee member dent government some money. “The funds for everything was the main issue but thankfully we had the tree donated by Grounds Crew,” she said.  Former senate committee member Greg Schoonover said how the tree planting process works. “The committee used to be called the University Development and Recycling,” he said. “It has been under the previous

responsibility of the committee to have special obligation to planting a tree every year.” Schoonover said the tree planting benefits the university and grounds crew because it is cost effective and they overlap thus they get two for the price of one. He said it was a basic activity that the student government could fulfill every year, which can cost up to $200. He also said what the purpose

of a tree was. “A tree is a legacy that you leave your mark on,” he said. “The student government works to make that happen.”  Nick Allen was a sophomore prebusiness management major and appointed as University enhancement committee chairman in 2012. He served as the school mascot from 2012 until 2013 and vice president of membership development for Sigma Phi Epsilon. He died from a seizure disorder in April of last year at age 21.   Alex Seidler can be reached at 581-2812 or ajseidler@eiu.edu.


2

TUESDAY, APRIL 8, 2014

Car, bus collide on Ninth

Local weather Today

WEDNESDAY

Rain

Sunny

High: 56° Low: 35°

High: 61° Low: 45°

The Daily Eastern News | NEWS

For more weather visit castle.eiu.edu/weather.

T h e D a i ly Eastern News “Tell the truth and don’t be afraid.”

The Daily Eastern News 1802 Buzzard Hall Eastern Illinois University Charleston, IL 61920 217-581-2812 217-581-2923 (fax) News Staff

Editor in Chief Dominic Renzetti DENeic@gmail.com Managing Editor Bob Galuski DENmanaging@ gmail.com Associate News Editor Jarad Jarmon DENnewsdesk@gmail. com Opinions Editor Kyle Daubs DENopinions@gmail. com Online Editor Jason Howell Assistant Online Editor Seth Schroeder DENnews.com@ gmail.com Photo Editor Katie Smith DENphotodesk@ gmail.com Assistant Photo Editor Dion McNeal Sports Editor Anthony Catezone Assistant Sports Editor Aldo Soto

Verge Editor Stephanie Markham Verge Designer Alex Villa Advertising Staff Account Executive Rachel Eversole-Jones Faculty Advisers Editorial Adviser Lola Burnham Photo Adviser Brian Poulter DENNews.com Adviser Bryan Murley Publisher John Ryan Business Manager Betsy Jewell Press Supervisor Tom Roberts Night Staff for this issue: Night Chief Dominic Renzetti Lead Designer Joanna Leighton Copy Editor/ Designer Emily Provance

Get social with The Daily Eastern News The Daily Eastern News dailyeasternnews @den_news dennews

Visit our website: dailyeasternnews.com About The Daily Eastern News is produced by the students of Eastern Illinois University. It is published daily Monday through Friday, in Charleston, Ill., during fall and spring semesters and twice weekly during the summer term except during university vacations or examinations. One copy per day is free to students and faculty. Additional copies can be obtained for 50 cents each in the Student Publications Office in Buzzard Hall. The Daily Eastern News is a subscriber to McClatchyTribune Information Services. aaaaaaaaaaaaa aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa Advertising To place an advertisement or classified ad in The Daily Eastern News, call the ads office at 5812812 or fax 581-2923. Visit our online advertisements at dailyeasternnews.com/classifieds. Comments / Tips Contact any of the above staff members if you believe your information is relevant. aaaaaaaaaaa aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa Corrections The Daily Eastern News is committed to accuracy in its coverage of the news. Any factual error the staff finds, or is made aware of by its readers, will be corrected as promptly as possible. Please report any factual error you find to Editor-in-Chief Dominic Renzetti at 581-2812. Employment If you would like to work for The Daily Eastern News as a reporter, photographer, columnist, cartoonist, copy editor, designer or videographer, please visit at the newsroom at 1802 Buzzard Hall. Printed by Eastern Illinois University on soy ink and recycled paper. Attention postmaster: Send address changes to: The Daily Eastern News 1802 Buzzard Hall Eastern Illinois University Charleston, IL 61920

K atie Smith | The Daily Eastern News

Charleston Fire Dept. Captain Todd Foster assists in removing a damaged bumper, which resulted after a car-bus collision on Ninth Steet. just outside of the University Police Department Monday. Passengers on the bus at the time declined medical transportation.

Jason Howell | The Daily Eastern News

An accident occurred around 2:30 p.m. on Grant Ave behind the University Police Department. The driver of the bus, Wes Craft of Charleston, was driving eastbound when the other vehicle didn't stop and crashed into the right-front side of the University Village shuttle bus. The driver of the silver SUV did not comment. One person was evaulated on scene and refused transport.

K atie Smith | The Daily Eastern News

Kyle Keefer, a paramedic and firefighter with the Charleston Fire Department, cleans up the aftermath of a bus-car collision, which occured Monday at about 1:30 p.m.

Girls on the Run promotes self-confidance in young girls By Mariah Scott Staff Reporter | @DEN_News Students and Charleston residents will be able to run as a part of the Girls on the Run, annual 5k run Saturday. The Girls on the Run program, with support of Eastern students and staff, promote self-confidence in young girls. The run will start at 9 a.m. at O’Brien Field. The runners will begin at the field and end at the field. For the 5k run, it will cost $20 to pre-register for anyone who wants to run, skip or walk to the finish line. Students can register in person at the office located in Mattoon Area Family in the YMCA. They can also register online on their website. Registration ends Thursday. The Girls on the Run organization receives “tremendous support from Eastern Campus,” said Beth Gillespie, the east central Illinois council director of Girls on the Run. Gillespie said this program received “tremendous growth” over the past six seasons. The first season they started out with 15 girls and during the past years they have had 1,057

girls to get involved with in the organization. The program focuses on building up young girls confidence ranging in ages from the third grade level to the eighth grade level. The program is a 10-week session, which ends with a 5k run that the organization will prepare to show that if the young girls can achieve this run, they can achieve anything. Gillespie said research shows how advertising and social media has negative affects on young girls and has impacted them in ways such as eating disorders. “It is hard to compete with 3,000 messages a day,” Gillespie said. Gillespie began her own chapter in Charleston May 1, 2011 and started their first program Sept. 11, 2011 in Coles County. She said she was shocked to find there was not a single program like it, even though there were still insecure girls who needed support in the county. Gillespie added that the organization helps influence not only the young girls but their coaches as well. “They walk away with more of being a coach,” Gillespie said. “They are still inspired by these little girls run-

ning.” Amanda Ziencina, the head coach for Girls on the Run, has been involved for five seasons. “Just seeing them grow and accept themselves for who they are and from where they start off at the beginning of this season to where they end is drastically different,” Ziencina said. Other than participating in the run, the girls will meet with their counselors and talk about the topic of the day, which relate to improving oneself and teamwork. To prepare for the race, the girls will also engage with warm ups that will be disguised as running games to help them prepare for the 5k race. “It’s not your typical 5k, we have no timer so it’s not competitive” said Ziencina. The day of the 5k they have a fundraiser. Those interested can also join the 24-hour run-a-thon and run for an hour winning money that will go to the young women in the program. They can win a minimum prize of $125 for the girl’s scholarships. Mariah Scott can be reached at 581-2812 or mkscott2@eiu.edu

BLOT TER

Criminal damage reported on campus • A residential burglary was reported at 3 p.m. Friday at 1524 2nd Street. This incident is under investigation. • Criminal damage to property was reported at 8:17 p.m. Saturday near Coleman Hall. This incident is under investigation. • Criminal damage to government property was reported at 8:27 a.m. Monday in the Lantz Arena. This incident is under investigation.

CORREC TION In the article “Delta Delta Delta” in Monday’s issue of The Daily Eastern News, The sorority second and third place winners were incorrect. Alpha Phi placed second, and Kappa Delta received third. The News regrets the error.

Get running. 217-581-2816


3 Police called to Klehm after Tugs gunshots The Daily Eastern News | CAMPUS

TUESDAY, APRIL 8, 2014

By Jarad Jarmon Associate News Editor | @ JJarmonReporter The sounds bursting from a shotgun signaling the star t of the first Tugs match were heard across the campus, but not everyone thought it was in the spirit of Greek Week. A faculty member in Klehm Hall reported hearing the sounds of shots fired Monday, prompting police to arrive. Once police arrived, it was realized it had only been the start for the Tugs kickoff Monday. In the first round of Tugs, the Na t i o n a l Pa n - He l l e n i c C o u n cil and Phi Kappa Alpha forfeited, leaving Alpha Sigma Alpha and Sigma Phi Epsilon to move to the next round. Alex Lais, the Greek Week steering committee co-chairman, said the NPHC had not weighed in and a member of Phi Kappa Alpha had broken his knee, leaving the Phi Kaps one man down for the little men bracket. Despite a strong lead for much o f t h e b a t t l e , Si g m a C h i w a s not able to hold out longer than Lambda Chi Alpha who, even despite a couple of slips from those on the team, will move to the next round going up against Sigma Phi Epsilon. Delta Zeta won a swift victory over Sigma Kappa. As the front of their line inched over on to the puddle-ridden path surrounding the Campus Pond, Sigma Kappa lost momentum and footing leaving Delta Zeta to move to the next round facing Kappa Delta. Sigma Alpha Epsilon also made it to the next round, defeating Sigma Nu in a close tugs match. The Tugs stomping ground had become wartorn as fraternities and sororities dug their cleats into the loose and muddy soil loosened even more from the showers of rain hitting the area throughout each match. Soaked even before they had touched the rope, the greek participants had slipped and struggled to find footing in the game. Despite the consistent rain, Elissa Antonakos, a Delta Zeta tugger, said the team had practiced in worse weather so they had been prepared. “ There were practices where there was pouring down rain, it was muddy like that and we were used to that kind of stuff,” Antonakos said. “If anything, it helped us out.” Round one of the big men’s class and Round two of the women’s class will start at 4 p.m. Wednesday.

Dominic Baima | The Daily Eastern Ne ws

An officer fires a gun to signal the beginning of a tugs match Monday at Campus Pond. The blank shots were heard and misinterpreted as shots fired near Klehm Hall.

K atie Smith | The Daily Eastern Ne ws

A Charleston Police Department vehicle sits outside Klehm Hall after a faculty member reported shots fired at about 3:30 p.m. Monday. The police department soon after reported that the sound was the product of a gun fired during the preliminary runds of Greek Week's Tugs, which took place at Campus Pond. Left: Spencer Payton, a freshman marketing major, falls and is dragged through the mud Monday during the first round of little men Tugs at the Campus Pond.

Tugs Schedule

Jarad Jarmon can

be reached at 581-2812 Preliminaries

or jsjarmon@eiu.edu. Wednesday at 4 p.m. Big Men Round 1 and Women Round 2 Friday at 4 p.m. Little Men Round 2, Big Men Round 2 and Women Round 3

Finals

Saturday at noon Dominic Baima | The Daily Eastern Ne ws

Tweet Tweet

SHORT ON CASH!? SIGN A LEASE WITH NO MONEY DOWN!

OUR RENT PRICES HAVE BEEN REDUCED - SAVE BIG! YOU CAN STILL FIND NICE HOUSES LATE IN THE YEAR! GREAT LOCATIONS ON CAMPUS STILL AVAILABLE: One to Six Bedroom Homes

Call 708-772-3711 To Reserve Your Home for Fall 2014 Now! WWW.HALLBERGRENTALS.COM

Follow the Daily Eastern News Twitter! den_news


4 OPINIONS

T h e D ai l y Eastern News

W W W. DA I LY E A S T E R N N E W S . C O M Tuesday, 4.8.14 NO. 132, Volume 98

DRAWN FROM THE EASEL

“LET’S GIVE THEM SOMETHING TO TALK ABOUT” Who do you think should have won Airband and Greek Sing?

Get social The Daily Eastern News

SABRINA ANN DUNC AN | The Daily Eastern Ne ws

STAFF EDITORIAL

@DEN_News

To submit your opinion on today’s topic, bring it in with identification to The DEN at 1811 Buzzard Hall or submit it electronically from the author’s EIU email address to DENopinions@gmail.com by 4 p.m. today or reply to us on social media.

Quote of the Day “I never said most of the things I said.”

- Yogi Berra

Become a DEN columnist If you have an idea for a column, run it by Kyle Daubs in the newsroom and he’ll give you more details of how columns work.

Call 581-2812

W

rite a letter to the editor

You have something to say. Knowing this, The Daily Eastern News provides a place for you to say it every day.

Letters to the editor can be submitted at any time on any topic to the Opinions Editor to be published in The Daily Eastern News. The DEN’s policy is to run all letters that are not libelous or potentially harmful. Letters to the editor can be brought in with identification to The DEN or sent to DENopinions@gmail.com.

For extended letters and forums for all content visit dailyeasternnews.com

Money does not solve enrollment woes Passing through certain buildings such as the Doudna Fine Arts Center or Old Main, students may notice the kiosks that have taken residence – or the investment that should not have been made. The kiosks, which The Daily Eastern News reported cost roughly $5,000 each, are part of a newer wave of ideas to help increase enrollment – by letting the prospective students get a visual experience anytime of these buildings. With the hope of having the kiosk in another building soon – Lantz Arena – this will turn into an approximately $15,000, and at a time when financial woes are at the forefront. Although a valiant effort to be more accessible to prospective students, these kiosks – and investments – are not something Eastern needs right now. With the hottest topic on campus about the Council on Planning and Budgeting and

their $7 million budget cut, buying and installing these kiosks sends the wrong message. It sends the message that while the university needs to cut $7 million, it is OK to empty the wallets for something that people part of the New Student Program or Admissions Office should be doing already. We already have staff here that is trained to help with prospective students and answer the questions about certain buildings. In fact, they go through rigorous training to be able to do so. If the university is adding on kiosks or displays like a museum to help guide the prospective students, what is the point of these areas and staff? The university should not be spending money on investments with the hopes that it will garner a higher enrollment. The university should be focusing on ideas and programs that they know will help

boost our already low numbers. Instead, the university wastes money on kiosks that any person in a program they already pay for can do. This is not a matter of Eastern needing to keep up with the latest technology or the fact that the “hippest” thing is to get screens everywhere (looking at you, electronic billboards). But rather this is a useless investment with no sort of payoff. As students, the first thing they look for is probably not whether or not a screen or a person is giving them the tour. If roughly $15,000 – if the one in Lantz is installed – is dropped, then the university should have a clearer focus for what they want the ultimate payoff to be. The daily editorial is the majority opinion of the editorial board of The Daily Eastern News.

Making those old friends new again I can only imagine how members of the Sigma Phi Epsilon fraternity felt on Monday morning. After all, they came out this past weekend as victors of Airband and Greek Sing. I’m sure they didn’t just high five each other and hit the sack early for a good night’s rest for Monday classes. These are all assumptions of course, but in case they went out and had some fun, it was completely deserved. These two events are not just gigs that you cram for over night. I’m not going to start a Rocky pump up speech on how much blood, sweat, and tears members of the Greek community mustered, but give these guys and gals some credit. Events like these require planning, collaboration, and loads of practice. In order to win, you need to hit every cue, every step, and every note. In this case, is which the members of Sig Ep did this past weekend. I mean there’s not a chance in Hades that I would smile that long. If it takes more muscles to frown than to smile, why does my face hurt so much after 30 seconds? On top of smiling for about five minutes of a performance, there had to be a bit of creativity intertwined.

Kyle Daubs Take for example the members of Kappa Delta who sang an assortment of Taylor Swift songs. They twisted some of the lyrics to the song “22.” It went along the lines of “It feels like a perfect night…To hang out with sisters.” I apologize for the readers who now have that song playing in their heads. Granted, the members of Kappa Delta did not win, but everyone had similar occurrences to try to make their performance the best. This was my first time ever attending Greek Sing. I would not have even went if it wasn’t to the generosity of my girlfriend’s parents buying me a ticket in advance to watch her brother perform. I have never been into musicals. I think Glee is the worst thing for television since

Steve Bartman ruining my childhood/present day dreams of the Cubs making the World Series in 2003. What I am going to say contradicts everything I have ever said before and what I am saying a paragraph ago. Greek Sing was quite entertaining. For anyone that has not gone, and has the opportunity to go next year, you should take a stab at it. Everyone has their perceptions of fraternities and sororities. That is never going to change. You may even think Greek Week is a waste of newspaper space. Heck, I have thought that once. It’s unfair for those perceptions to halt you from attending events that are regulated for our entertainment, and their competition. This is something that is very important to the Greek community. So, keep your ears open for the future Greek Sing and Airband competitions. Besides, you might hear a song you’ve never heard before. Kyle Daubs is a special education major. He can be reached at 581-2812 or DENopinions@gmail.com.

Editorial Board Editor in Chief Dominic Renzetti

Managing Editor Bob Galuski

Associate News Editor Jarad Jarmon

Online Editor Jason Howell

Opinions Editor Kyle Daubs


TUESDAY, APRIL 8, 2014

The Daily Eastern News | CAMPUS

Shuttle stuck in a muddle

5

Jason Howell | The Daily Eastern Ne ws

An accident involving a car and bus occurred around 2:30 p.m. on Grant Ave behind the University Police Department. The driver of the bus, Wes Craft of Charleston, was driving eastbound when the other vehicle didn’t stop and crashed into the right-front side of the University Village shuttle bus. The driver of the silver SUV did not comment. One person was evaulated on scene and refused transport.

Event raises awareness, Talent show’s profit encourages empowerment to go to good cause SAVE THE DATE

By Nicole Ellement Staff Reporter | @DEN_News This Thursday the Sexual Assault Counseling and Information Services, 23 years in, is hosting Take Back the Night march Thursday. The series of activities will take place at 6 p.m. in the University Ballroom in the Martin Luther King Jr. University Union. For over 35 years in the United States, Take Back the Night has focused on eliminating sexual violence, in all forms. Thousands of colleges, universities, women’s centers and rape crisis centers have sponsored events all over the country. At least one out of every three women worldwide has been beaten, forced into sex or otherwise abused in her lifetime by a partner, relative, friend, stranger, employer, and/or colleague. Of these crimes, less than 50 percent are reported to the police. Take Back the Night’s goal is to bring awareness to the issue. On Thursday, SACIS wants to bring awareness to the community and show that people are impacted by sexual violence and to reclaim safety and security in the area. This march is a safe and respectful way to create awareness for everyone. The first documented Take Back The Night in the U.S. took place October 1975 in Philadelphia, Pennsylvania. Citizens rallied together after the

What: Take Back the Night Where: University Ballroom When: Thursday 6 p.m. March will start at 7 p.m. at the MLK Jr. University Union following a ceremony in the University Ballroom. murder of young microbiologist, Susan Alexander Speeth, who was murdered by a stranger no more than a block away from her home while walking the streets, alone. The Moondogs, a local acoustic group, will be preforming live music at 6 p.m. in the University Ballroom. At 6:45p.m. a keynote speaker, Jeannie Ludlow the coordinator to Women’s Studies at EIU, will be speaking on the issue. Ludlow will start off the march sharing her thoughts on the victim blaming rape culture and the sensitivity associated with sexual violence. In year’s prior, candles have been given to walkers, but due to weather complications this year glow sticks will be given out and a list of chants. At 7 p.m., those marching will then walk the campus chanting and raising awareness of the cause. Although the event is held on the Eastern campus, community members are also welcomed to join. In previous years, the greek community has always had large atten-

dance numbers and members of the SACIS encourage these organizations to make time around their busy Greek Week schedules to partake in the event. However, the march is not limited to anyone. The march will conclude at the 7th Street Underground where a vigil will take place. Anyone is able to speak at the vigil about past experiences they have had or noticed, or about the march they just participated in. Ludlow said Participants in the march are encouraged but not required to stay for the reflection of the night. The Women’s Empowerment League is going to bring their clothes line project to the 7th Street Underground afterwards, along with a denim line created by volunteers. For more details on other upcoming events, those interested can go to the SACIS website. SACIS is also hosting their first annual Walk a Mile in Her Shoes April 27. The run will begin in Morton Park and walkers can either wear gym shoes, flip flops, or even high heels to walk a mile in effort to raise awareness during Sexual Assault Awareness Month. Their will be prizes given out to groups and individuals on best shoe design, and even for “Best Legs.”

Nicole Ellement can be reached at 581-2812 or naellement@eiu.edu

Staff Report The Agency, a student-run public relations firm on campus, will host its second annual talent show at 7 p.m. Thursday in Pemberton Hall’s Great Hall. Michael Wolber, a senior journalism major, will be this year’s host and master of ceremonies for the talent show. The entry fee to attend the talent show is $1 or one canned good. All of the proceeds will go to benefit the Salvation Army. Wolber said that last year, the show filled up a 50-gallon bag with cans from the talent show spectators. “We did really good last year,” Wolber said, “This year, we hope to raise more money and more canned goods than we did last year.” Daniel Trevor, a junior mass communication major, is the defending talent show champion.

Author, journalist to present new book Staff Report A Pulitzer-Prize winning journalist for The Chicago Tribune will be speaking to Eastern students Tuesday about his latest book, “To Chase a Dream.” “To Chase a Dream” chronicles the true story of college soccer player Paul “Whitey” Kapsalis. Ted Gregory, the author and journal-

HELP US HELP YOU!

ADVERTISE WITH THE DEN 217-581-2816

Trevor, who won with a beat box routine last year, said he enjoys the thrill of performing. “Anytime I can go up and perform and showcase my skills with my lips, I take it,” he said. “I used to get nervous whenever I performed, but now, I thrive on the nervous energy.” Last year, Trevor beat boxed and he is planning a new beat boxing routine for this year. “My favorite part about this particular show is actually the cause,” Trevor said, “The fact that its run by students and the money is going to The Salvation Army is very cool.” This year’s acts include beat boxing, Irish dancing, poetry, singing, rapping, guitarists, comedians and many more. Hello Dali, an improvisational troupe from Eastern, will be performing during the intermission.

ist, is an alum from Eastern. He graduated in 1981. His presentation will be at 7 p.m. Tuesday in the Phipps Lecture Hall of the Physical Science Building. A book signing will follow the presentation. Before Gregory’s presentation, there will be a meet and greet with Gregory at 3 p.m. in the Student Lounge of Buzzard Hall.


6

The Daily Eastern News | CLASSIFIEDS Sublessors

Sublease needed! Unique Homes 3 bedroom apartment, $375/month. Call Macey 217-377-1169 __________________________4/22

For rent Beautiful, near-new construction! 3 BR, 2 1/2 bath, laundry in unit, balcony, & garage. $1185/mo ($395/student). Single BR also available. Call now, 630-505-8374. __________________________4/10 Huge one and two BR apts. Best prices, call us first. Trash, water, Central Air, Fitness Center, Walk-in closets. 815-600-3129 Leave Message. __________________________4/11 We accept financial aid!!! save $4,000 compared to dorms, great 1,2 & 3 bedrooms. Call or text 217-273-6820/217-273-2048 __________________________4/11 GO GREEN! WE offer apartments with solar heating and LED lighting. Only $300 a month. Call or text 217-273-6820/217-273-2048 __________________________4/11 Close to campus. Attractive, quiet and affordable. 2 BR $375/person all inclusive. Call or text 217-273-6820 or 217273-2048. __________________________4/11 Fall 2014: 3 or 4 BR house. 2 blocks from campus. 2 full baths, W/D, dishwasher. Call or text 217-276-7003 __________________________4/11 4-5 bedroom house, 1109 4th St. $280/ person. 345-6257 __________________________4/11 BOWERS RENTALS - Nice 2-4 BR homes for Fall. 6 month leases available. Discounted prices starting at $300/BR. Call or text 217-345-4001 or visit us at eiuliving.com. __________________________4/11 SUMMER STORAGE, SIZES 4X12 UP TO 10X30, PRICES STARTING AT $30/MONTH. 217-348-7746 __________________________4/11 VILLAGE RENTALS 2014 Fall Leasing Newly remodeled and redecorated 1 & 2 BR apts. and 3 & 4 BR house. Close to campus. 217-345-2516 for appointment. __________________________4/14 Nice 4 bedroom house, 10 month lease, A/C dishwasher, off street parking, $300 per bedroom. 217-273-1395 __________________________4/15 Large 3, 4, 5 bedroom houses. A/c, 10 month lease, dishwasher, W/D. 217273-1395 __________________________4/15 Available for 2014 school year, one, two, and three bedroom apartments. Fully furnished living room and bedrooms. Mix of ceramic, hardwood, and laminate flooring, washer/dryer. Cathedral ceilings, skylights. Leather furniture. Lincoln Street/Division Street location, close to Lantz. For additional information and a tour call 217-5086757 or write to 777aboveandbeyond@gmail.com __________________________4/16 5 bedroom house close to campus! 254-1311 dcburte@gmail.com __________________________4/16 Available now and fall 2014 - Four bedroom house fully furnished 1 1/2 blocks from Old Main on Lincoln Ave. Two bathroom, washer/dryer. Large kitchen, formal dinning room , hardwood, ceramic and carpeted flooring. For additional information and a tour call 217-508-6757 or write to 777aboveandbeyond@gmail.com __________________________4/17

For rent Nice 3 and 6 BR houses. Fall ‘14. A/C, W/D, dishwasher, trash pd. Close to EIU. $300/person, 11 month lease. Call or text Bobby 847-826-5626. __________________________4/18 Nice house for rent. 3-4 students. 1526 3rd Street. Fall 2014-2015. Washer/ Dyer, Central Air, Front Porch, Large Yard, High Efficiency Furnace, Trash included. Call 217-549-5402 __________________________4/18 Great Location! Fall 2014. Newly Remodeled 4 BD houses on 12th Street. Walk to campus. Early move in available. Yard service included. No pets. 217-549-9348 __________________________4/18 CHECK US OUT NEXT TO DOUNDA! 1812 9TH ST. 2 & 3 BEDROOMS AVAILABLE ‘14-’15! ALSO, 1 BD FOR SUMMER, 1205 GRANT - RENT NOW! SAMMYRENTALS.COM CALL OR TEXT 549-4011 __________________________4/18 For Rent: 3 bedroom house at 1521 11th Street, 11 month lease, $235 per person a month, w/d call 549-7031 __________________________4/25 Fall 2014 1 bedroom, 1 bath apt. east of campus - all inclusive plans available! rcrRentals.com or 217-345-5832 __________________________4/25 Fall 2014: 2 bedroom duplex east of campus - all inclusive plans available! rcrRentals.com or 217-345-5832 __________________________4/25 3-4 BR 2 BA. W/D, $225/person. 1210 Division- across from park. 345-5555, Larry. __________________________4/25 Newly remodeled houses. Close to campus. 3 & 4 BR. 217-962-0790 __________________________4/29 3 Bedroom furnished apartment for 2014-15 school year. $185 per student for a 10 month lease, no pets. Call 3453664. __________________________4/30 Unique Properties has SPRING FEVER! We’ve dropped our prices!! Come check out one of our spacious, beautifully furnished apartments! All inclusive prices begin at just $395! Excellent Location Still Available for Fall! Need a six month lease? No problem we have just the spot for you! Roommate matching is available. Call today for your apartment showing 345RENT(7368)!! STAY UNIQUE! www. unique-properties.net __________________________4/30 P.P. & W PROPERTIES. Please contact us at www.ppwrentals.com, 217-3488249. ___________________________5/1 AVAILABLE AUGUST 2014 1 and 3 bedroom apts., one block north of Old Main on 6th Street. www.ppwrentals. com, 217-348-8249. ___________________________5/1 NEW 2 BEDROOM APTS DIRECTLY ACROSS FROM BUZZARD ON 9th STREET washer, dryer, dishwasher, microwave, major appliances, central heat and a/c. Call us for more details. www.ppwrentals.com, 217-348-8249. ___________________________5/1 STUDIO & ONE BEDROOM APTS located in “The Fields,” 3 blocks from campus, available August 2014. Washer, dryer, dishwasher, microwave, major appliances, central heat and a/c. All apts. are less than 5 years old. www.ppwrentals.com, 217-348-8249. ___________________________5/1

TUESDAY, APRIL 8, 2014 For rent BRITTANY RIDGE TOWNHOUSES For 3-5 persons, unbeatable floor plan, 3 & 4 bedroom, 2 1/2 baths, deck, central air, washer, dryer, dishwasher. Free trash and parking, low utility bills, local responsive landlord. Starting @ 210 / person. Available Fall 2014, lease length negotiable. 217-246-3083 ___________________________5/5 www.CharlestonILApts.com ___________________________5/5 June or August: 2 BR apts. 2001 S. 12th St. and 1305 18th St. all appliances, trash pd. 348-7746, www.CharlestonILApts.com ___________________________5/5 MELROSE & BROOKLYN APTS Recently Reduced Prices + Free DVR + $200 OFF Sec. Dep. with coupon = LIVING IN YOUR DREAM APARTMENT IN 2014-2015! 217-345-5515 www.melroseonfourth.com ___________________________5/5 August: 3 BR apt, 820 Lincoln Ave, All appliances and dishwasher, water & trash pd. 348-7746, www.CharlestonILApts.com ___________________________5/5 For Fall very nice 2 bed 2 bath duplex with 3 separate vanities, W/D, and dishwasher in unit. On campus side of 12th Street. 217-493-7559 ___________________________5/5 July or August: 2 BR apts. 955 4th St. All appliances, with dishwasher, garage, water & trash pd. 348-7746, www.CharlestonILApts.com ___________________________5/5 4 BR, 2 BA duplex, 1 blk. from EIU, 1520 9th St. Stove, fridge, microwave, dishwasher, W/D, trash pd. 350/ person. 348-7746, www.CharlestonILApts.com ___________________________5/5 June or August: 1 BR deluxe apts. 117 W. Polk, 905 A Street, 1306/1308 Arthur Ave, all appliances, with W/D & dishwasher, trash pd. 348-7746, www.CharlestonILApts.com ___________________________5/5 VERY NICE 6 bedroom 3 bath house behind Family Video with dishwasher, W/D, and 4 separate bathroom vanities. Excellent parking - 4 people $350 each / 5 people $325 each / 6 people $300 each myeiuhome.com 217-4931559 ___________________________5/5 June: 1 & 2 BR apt, 605 W. Grant, stove, fridge, dishwasher, w/d or w/d hookup, trash pd. 348-7746, www.CharlestonILApts.com ___________________________5/5 4 BEDROOM TOWNHOUSE CLOSE TO CAMPUS. $225/ MONTH FOR 4 PEOPLE; $275/ MONTH FOR 3 PEOPLE, CALL/TEXT 708-254-0455 ___________________________5/5 Short on Cash? Sign a Lease with No Money Down! One to Six Bedroom Homes. Close to Campus Available. Call 815-546-6767 for More Info! ___________________________5/5 SUMMER STORAGE, SIZES 4X12 UP TO 10X30, PRICES STARTING AT $30/ MONTH. 217-348-7746 ___________________________5/5 Still Looking for a House for Fall? Clean, Well-Maintained Homes at EIU. You won’t find nicer homes for LESS- Guaranteed! Stop looking at expensive rentals when you can get more for LESS! Call 815-546-6767. ___________________________5/5 2014 Fall semester 3 Bed, 2 Bath house. W/D, pets possible. 273-2507 call or text 1710 11th Street. ___________________________5/5

Get the DEN sent straight to your email! Sign up today at DENnews.com

For rent FALL 2014: VERY NICE 1,2,3,4,5,6,7 BR HOUSES, TOWNHOUSES, & APARTMENTS. EXCELLENT LOCATIONS, 1-3 BLOCKS FROM CAMPUS. 217-4937559, myeiuhome.com ___________________________5/5 Reduced Rentals on Campus Available! Super Nice Homes- Bargain Priced. Pay your rent & have money left over for the weekends! Be AMAZED at how AFFORDABLE great houses are! Call 815546-6767. ___________________________5/5 BUCHANAN ST. APARTMENTS - 1, 2, & 3 BR apartments. Water and trash included. Plenty of off-street parking. Call 345-1266 or go to our website, www.BuchananSt.com. ___________________________5/5 1, 2, and 3 bedroom apartments, available now, June, or August. Furnished or unfurnished. Laundry, A/C, clean, and affordable. Close to EIU. No Pets. 345-7286, Williams Rentals. www.jwilliamsrentals.com ___________________________5/5 5 bedroom house for Fall. Central air, W/D, close to EIU. Clean, affordable, locally owned and managed. No pets. 345-7286, Williams Rentals. www.jwilliamsrentals.com ___________________________5/5 2 BR, 2 BATH APARTMENTS. 1026 EDGAR DRIVE, 2/3 BR HOMES. $250 PER PERSON. 549-4074 OR 294-1625 ___________________________5/5 Special-Special-Special- Our beautiful houses only 1/2 block from the Rec Center, are available at very low rates! Call us before you sign up; we will save you money. 217-345-5048 ___________________________5/5

FOR RENT h t i w d r o l d n Are you a lnats available apartme xt year? for ne

1, 2, 3 and 4 BEDROOM APARTMENTS AVAILABLE JUNE OR AUGUST *Quiet locations

For appointment Phone 217- 348- 7746

*As low as $285/mo each person

820 LINCOLN AVE, CHARLESTON, IL Office Hours 9-5 M-F, 9-3 Sat WWW.CHARLESTONILAPTS.COM

No gimmicks, Just Good Housing. 25+ years of proven rental management RENT Now, May, or Fall 2014 Housing for 1, 2, 3, or 4 Call for an appointment!

1512 A Street. P.O. Box 377 Charleston, IL 61920 217 345-4489 – Fax 345-4472 www.woodrentals.com

SS Rentals Just a few units left!

2 Bedroom Apartments on 9th Sreet

All-Inclusive Pricing

217.549.1449

Like the Daily Eastern News on Facebook to get all the latest news and sports info!

Don’t wait until it’s too late! Let students know by advertising in our Classifieds section!

Get them move-in ready! To advertise, call .

581-2812

Get running.

Place an ad in the DEN. 217-581-2816

Check out this Friday’s

VERGE Get all the latest info on what’s going on in music, movies, games, and fun here in Charleston!


TUESDAY, APRIL 8, 2014

The Daily Eastern News | SPORTS

7

Maday wins OVC Pitcher of the Week award By Kaz Darzinskis Staff Reporter | @DEN_Sports

She picked up 20 strikeouts during her two outings.

The Eastern softball team improved to 26-11 on the season, while improving their Ohio Valley Conference record to 7-4, following a 3-1 weekend against Eastern Kentucky and Morehead State, respectively, during the weekend at Williams Field. The Panthers are currently sitting in third place in the OVC west division and fourth overall in the conference. Ja c k s o n v i l l e St a t e c u r r e n t ly leads the conference in wins, as the Gamecocks are currently 26-11, with a 10-4 OVC record. Southern Illinois University-Edwardsville and Tennessee-Martin currently lead the west division, as they are tied atop the standings with 9-3 marks in conference play. Eastern still has to play Edwardsville, as well as TennesseeMartin, before the season is over, setting up a situation, which will determine seeding come tournament time. Senior Stephanie Maday threw a five-inning no-hitter in the Panther’s second game with Morehead State Sunday. Maday was named Ohio Valley Conference Pitcher of the Week Monday, joining her teammate Hanna Mennenga in winning the weekly honor this season. It was Maday’s second no-hitter of her career. Maday improved her record to 10-5 on the season after winning both of her starts this weekend.

Conference leaders Jennette Isaac currently carries a league-leading 17-game hitting streak. Savanna Carpenter of Southeast Missouri leads the conference with a .450 batting average in 27 games played. Brooke Owens of the Panthers is currently fifth in the conference with a .353 average. Jacksonville State has the top four run scorers, two of the top five in slugging percentage and three of the top five home run hitters this season. Eastern between Hannah Cole and Brooke Owens, has two of the top five in hits this season, as well as Cole and Reynae Hutchinson have hit in the top five for RBIs. Amongst starters that have more than 10 starts on the season, only Leanna Pittsenbarger has better numbers than Mennenga, and Maday is only two spots back of Mennenga, meaning Eastern has the number two and number four rated starting pitchers by ERA in the OVC. Come tournament time anything can happen, but with strong leaders such as Maday, Mennenga, Brooke Owens, Carly Willert, this team is confident in their abilities and believes they can go far this season. Kaz Darzinskis can be reached at 581-2812 or kcdarzinskis@eiu.edu.

Jason Howell | The Daily Eastern Ne ws

Sophomore outfielder Jennette Isaac bunts Saturday against Eastern Kentucky. The Panthers split the doubleheader 2-1 and 1-0.

Schmitz finds new home in 95’ By Aldo Soto Assistant Sports Editor | @AldoSoto21 Editors note: This is the first installment in a series looking back at Eastern baseball coach Jim Schmitz’s 20 years coaching the Panthers. Jim Schmitz had a small office buried away in a corner of Lantz Arena when he first arrived to Eastern in the fall of 1994. The Eastern baseball season was five months away, when Schmitz first took a seat in his own miniscule oasis. “ We had a little office over in Lantz — we had a shag carpet, a military file and a typewriter,” Schmitz said. “That was it. No computers, no nothing.” Schmitz said he was well aware of the differences between Eastern and his former employer, but he was not only physically more than 400 miles away from Ole Miss, Schmitz was in a complete different world of recruiting. After spending four years being the assistant coach under Don Kessinger at Ole Miss, Schmitz arrived in Charleston where he had no money, no assistant coaches and no where to stay.

The day before he departed for Eastern, Schmitz made a call to determine where he would be staying in his first couple of days in Charleston. Schmitz did not get the best answer. “We don’t have a place for you to stay,” Schmitz said was the response he received. With no place to stay, Schmitz had to rely on an unconventional roommate that happened to be a member of the baseball team. Mike Higgins only appeared in two games during the 1994 season and knew he was a fringe guy on the Eastern roster heading into 1995, so he decided to help out the new face in town. “He knew he wasn’t going to pitch much and he was probably going to be the 13th pitcher, so he said ‘what the hell, I like baseball why don’t I just help and not play,’” Schmitz said. So for two nights, Schmitz slept on Higgins’ couch until Eastern set him up with a place at Carlyle Apartments. Schmitz said the first two weeks he got to work with his team all he had the players do was scrimmage. He wanted to see what he had and what he needed to teach for his team to adjust to his coaching style.

It was no smooth transition, as players had to continually stop what they were doing during the middle of scrimmages if Schmitz did not like what he was seeing. Schmitz would bring the team in as a whole and teach. If he saw something else wrong, he would do the same thing. One day, Schmitz simply told the team to go home. “I was so frustrated because I had brought them in so many times and I brought them in and said, ‘just go home and there’s no practice tomorrow. Just get out of here. Go home. I’ll pick all of the things,’” Schmitz said. But even through the frustrating scrimmages, less than desirable practice fields, which included taking ground balls on tennis courts and having three players quit before the season started, Schmitz coached Eastern to a 28-19 record that included a west division title in the Mid-Continent Conference. “It was really neat to see that g ro u p o f g u y s w a k i n g u p a n d saying, ‘hey I’ll do it his way,’” Schmitz said. “They didn’t have to do that.” Aldo Soto can be reached at 581-2812 or asoto2@eiu.edu.

The DEN RUN WITH US .

217-581-2816

»

BASEBALL

CONTINUED FROM PAGE 8 Howell continues hot streak Junior outfielder Caleb hit .444 (8for-18) in four games last week for Eastern and continues to lead the Ohio Valley Conference in batting average at .469 in conference play. On Tuesday against Illinois State, Howell went 3-for-5 and then he capped of his week’s play by going 4-for5 against Murray State Sunday. Howell leads Eastern with a .431 overall batting average and has a team-high 53 hits. In the four-game stretch, Howell scored five runs, adding to his team best 30 this season, 17 have come against conference opponents. Not only does Howell lead the OVC in batting average, he also has a conference high .565 on-base percentage. In 18 of 31 games, Howell has recorded at least two hits for the Panthers this season. Pitching shows improvement After junior Matt Borens allowed five earned runs against Murray State Friday, sophomore Jake Johansmeier and senior Joe Greenfield combined to throw 13.1 innings allowing five earned runs. Johansmeier pitched into the eighth inning for the Panthers Saturday afternoon, allowing two runs in 7.1 innings. He received a no-decision, as Murray State eventually scored two runs in the

bottom of the 10th inning to beat Eastern 4-3. Johansmeier surrendered six hits and three walks, while recording four strikeouts. On Sunday, Greenfield improved to 4-3 this season, pitching six innings and allowing three runs. It was the senior’s second start of the season and although he walked four batters and yielded nine hits, Greenfield was able to maneuver his way past Murray State to collect the win. Eastern won two of the three games in Murray, Ky., allowing 16 runs during the weekend, which was 23 less than what Jacksonville State scored against the Panthers at Coaches Stadium on March 28-30. Upcoming schedule Eastern plays two midweek games, starting with a 6:05 p.m. start Tuesday in Mattoon against the University of Illinois at Urbana-Champaign at Peterson Park. The Panthers return to play at 3 p.m. Wednesday against Illinois College, which is the first of five straight home games for Eastern. Aldo Soto can be reached at 581-2812 or asoto2@eiu.edu.


@DEN_Sports tweet of the day: #Illini baseball coach Dan Hartleb will miss Tuesday’s game vs #EIU.

S ports

Sports Editor Anthony Catezone 217 • 581 • 2812 DENSportsdesk@gmail.com

T H E DA I LY E aste r n News

D a i ly e a s t e r n NE W S . C O M

T u e s day, a p r il 8, 2014 N o. 132, V O LU M E 98

8

Coach helps golfer find new swing By Bob Reynolds Staff Reporter | @BobReynoldsDEN When junior women’s golfer Tiffany Wolf was about 12 or 13, she quit golf because she did not enjoy playing it. “Golf is a tough sport and can be discouraging at times, especially when you are young because there is so much to learn about the game,” Wolf said. It was not until her junior year at Mattoon High School she started golfing again. At Mattoon, Wolf helped her team win the sectional and regional championships her senior year of high school and ended up going to state tournament twice. Wolf thought she would have a disadvantage of trying to play golf in high school because she said most colleges look for golfers in their sophomore or junior year of high school. But she was lucky enough that current Eastern golf coach Mike Moncel was Wolf ’s swing coach in high school and has been her only instructor throughout her career. “I was fortunate enough that my swing coach was the coach at Eastern Illinois,” she said. “He knew that I could play and that I work hard. He has helped me so much with the aspects of my game and I am so grateful for it.” Wolf said she enjoys playing close to her hometown and that the team practices in Mattoon. “I get to see a lot of people that I know,” she said. “It’s nice to have that home atmosphere.” Throughout her college career, Wolf has been about as consistent of a golfer as they come. She averaged a score of 83.8 her freshman year and sophomore year of college and then this year through

eight events she is averaging an 83.2. So far this season, Wolf ’s best score came in the Austin Peay Fall Invitational, when she shot a 74 in the second and final round if the tournament. She has only one top 20 finish this season and it came in the Butler Fall Invitational where she shot 10 over par for each round, finishing with a score of 160 for the two rounds. Wolf credits her consistency over the course of her college career to the coaching she has received. “My swing has become very consistent, which keeps my fall flight straight and not too often it will go off,” she said. During the offseason, Wolf said she practices with her sister every day during the summer and is able to practice as much as possible now, because the facility is open to work on her chipping, putting and hitting. Wolf also participates in multiple tournaments over the course of the year to keep herself in playing mode. Golf at Eastern is in the fall and spring and Wolf said it is difficult to manage her time with both school and practice, especially when they have to miss school to go away for tournaments. “I find that having a plan for each day and knowing what I have to get done helps a lot,” she said. Throughout the course of her career, Wolf said along with Moncel, her dad has helped her over the years with her golf game. “He has helped me over the years with watching me and making sure that I do not stray away from what Coach Moncel had taught me.” Submitted photo

Bob Reynolds can be reached at 581-2812 or rjreynolds@eiu.edu.

Tiffany Wolf, a junior on the Eastern women’s golf team, is a biological sciences major with a concentration in pre-optometry.

Valach wins OVC Panthers to play in Mattoon weekly award By Aldo Soto Assistant Sports Editor | @AldoSoto21

By Aldo Soto Assistant Sports Editor | @AldoSoto21 Junior Brant Valach went 0-for-3 against Illinois State in Eastern’s 9-4 loss Tuesday, but in the next three games the third baseman went 9-for15 against Murray State, including a three-home run game Sunday. To go along with the three home runs in the Panthers’ 14-3 win in the series finale, Valach drove in 10 RBIs against Murray State and scored six runs, which earned him Ohio Valley Conference Player of the Week. Since his return from a hand injury, the infielder has hit 14-for-29 (.483) in seven games. During that seven-game stretch, Valach has committed only one error for the Panthers. Taylor hits for cycle Red-shirt sophomore Demetre Taylor recorded a single, double and

triple before his fifth at bat Friday against Murray State. In the 10th inning he hit a home run to complete the cycle, while also giving Eastern an 8-7 lead. The Thoroughbreds scored a run in the bottom half of the inning to tie the game, but Eastern bounced back in the 13th inning, scoring two runs and held on to win 10-9. Taylor’s cycle was the second in as many weeks for an Ohio Valley Conference player, as Tennessee Tech’s Brandon Thomasson also achieved the feat on March 26, in a 13-5 win over Miami (Ohio). Taylor finished Friday night going 4-for-6, scoring three runs to go along with a walk and his 10th-inning home run. He now has five home runs and 31 RBIs this season, which leads all Eastern hitters.

BASEBALL, page 7

The Eastern baseball team is scheduled to play the University of Illinois at Urbana-Champaign Tuesday night, but pending rain showers may lead to a cancelation of the game for the second straight season. Last year, the two teams were scheduled to play on April 23, but rainy conditions forced the game to be canceled at Peterson Park in Mattoon. Eastern coach Jim Schmitz said a decision would be made by noon Tuesday if the game would be played. “It’s looking a little iffy right now,” Schmitz said. If the game does get underway, Schmitz will send senior Jaden Widdersheim to the mound for the Panthers against the Illini. Illinois is 17-11 this season and is coming off a three-game sweep of Northwestern.

Illinois vs. eastern illinois

tuesday | 6:05 p.m. peterson park mattoon, ill. 17-11, 5-1 (b1g) The Illini have won five straight Big 10 games, leading to a 5-1 record, which is their best start in conference play since 2008. Eastern won its first Ohio Valley Conference series, beating Murray State twice during the weekend. The Panthers are 9-22 overall. Illinois has not announced a starting pitcher yet for Tuesday’s game. This will be the 75th meeting between the Illini and the Panthers, as Illinois has a 50-24 series lead, but with Schmitz coaching Eastern is 11-11 in the series.

9-22, 4-8 (OVC)

Last year, Eastern defeated the Panthers 8-4 in Champaign, as the Panthers scored eight runs in the top of the sixth inning and held on to win after the Illini scored three runs in the bottom of the ninth inning. Eastern has won three of its last five games in the series and have split four games at Peterson Park. First pitch is scheduled for 6:05 p.m. Tuesday at Peterson Park in Mattoon. Aldo Soto can be reached at 581-2812 or asoto2@eiu.edu.

Issue132  
Read more
Read more
Similar to
Popular now
Just for you